Bug 1932099 - psutil version 5.7.0 or later required
Summary: psutil version 5.7.0 or later required
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bpytop
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-23 23:38 UTC by Alessio
Modified: 2021-08-14 00:31 UTC (History)
2 users (show)

Fixed In Version: bpytop-1.0.54-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-14 00:31:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Alessio 2021-02-23 23:38:31 UTC
/usr/lib64/python3.6/site-packages/psutil/_pslinux.py:1150: RuntimeWarning: ignoring OSError(6, 'No such device or address')
  warnings.warn("ignoring %r" % err, RuntimeWarning)
WARNING! psutil version 5.4.3 detected, version 5.7.0 or later required for full functionality!
Bpytop exited with errorcode (1). See /root/.config/bpytop/error.log for more information!


/root/.config/bpytop/error.log

23/02/21 (23:33:12) | ERROR: Data collection thread failed with exception: module 'psutil' has no attribute 'getloadavg'
Traceback (most recent call last):
  File "/usr/bin/bpytop", line 2908, in _runner
    collector._collect()
  File "/usr/bin/bpytop", line 3039, in _collect
    cls.load_avg = [round(lavg, 2) for lavg in psutil.getloadavg()]
AttributeError: module 'psutil' has no attribute 'getloadavg'
23/02/21 (23:33:12) | WARNING: Exiting with errorcode (1). Runtime 0:00:02


The point is that python-psutil 5.7.0 is not available on CentOS 8 with python 3.6 (python3-psutil-0:5.4.3-10.el8.x86_64) nor python 3.8 (python38-psutil-0:5.6.4-3.module_el8.3.0)

Comment 1 Artem 2021-02-24 02:43:06 UTC
Thanks for repoting. That's why Bodhi exist and i asked people to check every version due to psutil support. It's definitely worked with 5.6 version. Don't you remember which last bpytop version worked on CentOS 8? This could help and we can downgrade to this version at least.

Comment 2 Alessio 2021-02-24 08:38:33 UTC
Same issue on 1.0.58

While in 1.0.54, even if the warning is displayed as well
WARNING! psutil version 5.4.3 detected, version 5.7.0 or later required for full functionality!
at least it works

Comment 3 Fedora Update System 2021-02-25 06:29:42 UTC
FEDORA-EPEL-2021-8dacc19948 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8dacc19948

Comment 4 Artem 2021-02-25 06:34:01 UTC
@Alessio thanks. Probably we should stick with v1.0.54 for now. Submitted downgraded version to Testing.

Comment 5 Fedora Update System 2021-02-26 01:48:26 UTC
FEDORA-EPEL-2021-8dacc19948 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8dacc19948

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-29 11:32:50 UTC
FEDORA-EPEL-2021-8dacc19948 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8dacc19948

Comment 7 Fedora Update System 2021-08-11 12:30:59 UTC
FEDORA-EPEL-2021-ca38712b4f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ca38712b4f

Comment 8 Fedora Update System 2021-08-12 01:44:04 UTC
FEDORA-EPEL-2021-ca38712b4f has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ca38712b4f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-14 00:31:58 UTC
FEDORA-EPEL-2021-ca38712b4f has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.